package cn.tsy.data.idsse.dsds.model.sar;

import java.time.LocalDateTime;

import cn.hme.framework.bean.HmeBean;
import cn.hme.framework.jdbc.annotation.HmeTable;

/**********************************************
 * sar附件
 * 
 * @author: zxq
 * @date: 2024-05-16 16:48:21
 * @version: 1.0.0
 * @email: revisit@126.com
 * @Company: www.hmesoft.cn
 */
@HmeTable(name = "SAR_FILE", key = "TSY_ID")
public class SarFile extends HmeBean {
	private static final long serialVersionUID = 2805228889252064330L;
	private Integer tsy_id;
	// 任务编号
	private Integer sar_id;
	// 文件名称
	private String file_name;
	// 文件路径
	private String file_path;
	// 文件大小
	private String file_size;
	// 文件类型（图片，啥的）
	private String file_type;
	// 文件描述
	private String file_remark;
	// 上传文件
	private LocalDateTime upload_time;

	public Integer getTsy_id() {
		return this.tsy_id;
	}

	public void setTsy_id(Integer tsy_id) {
		this.tsy_id = tsy_id;
	}

	/****
	 * 任务编号
	 */
	public Integer getSar_id() {
		return this.sar_id;
	}

	/****
	 * 任务编号
	 */
	public void setSar_id(Integer sar_id) {
		this.sar_id = sar_id;
	}

	/****
	 * 文件名称
	 */
	public String getFile_name() {
		return this.file_name;
	}

	/****
	 * 文件名称
	 */
	public void setFile_name(String file_name) {
		this.file_name = file_name;
	}

	/****
	 * 文件路径
	 */
	public String getFile_path() {
		return this.file_path;
	}

	/****
	 * 文件路径
	 */
	public void setFile_path(String file_path) {
		this.file_path = file_path;
	}

	/****
	 * 文件大小
	 */
	public String getFile_size() {
		return this.file_size;
	}

	/****
	 * 文件大小
	 */
	public void setFile_size(String file_size) {
		this.file_size = file_size;
	}

	/****
	 * 文件类型（图片，啥的）
	 */
	public String getFile_type() {
		return this.file_type;
	}

	/****
	 * 文件类型（图片，啥的）
	 */
	public void setFile_type(String file_type) {
		this.file_type = file_type;
	}

	/****
	 * 文件描述
	 */
	public String getFile_remark() {
		return this.file_remark;
	}

	/****
	 * 文件描述
	 */
	public void setFile_remark(String file_remark) {
		this.file_remark = file_remark;
	}

	/****
	 * 上传文件
	 */
	public LocalDateTime getUpload_time() {
		return this.upload_time;
	}

	/****
	 * 上传文件
	 */
	public void setUpload_time(LocalDateTime upload_time) {
		this.upload_time = upload_time;
	}
}